%define rel 8

Name:           libqaccessibilityclient
Version:        0.1.1
Release:        %mkrel %{rel}
Summary:        Accessibilty tools helper library 
Group:          Graphical desktop/KDE
License:        LGPLv2+
URL:            https://projects.kde.org/projects/playground/accessibility/libkdeaccessibilityclient
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.bz2
# patch from Fedora to fix linking
Patch0:         qaccessibilityclient-0.1.0-dso.patch
Patch1:         libqaccessibilityclient-0.2.0-gcc8.patch

BuildRequires:  pkgconfig(QtCore)
BuildRequires:  cmake >= 2.8.6


%description
Helper to make writing accessibility tools easier.

%files
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/accessibleapps-qt4

#--------------------------------------------------------------------

%define libqaccessibilityclient_major 0
%define libqaccessibilityclient %mklibname qaccessibilityclient %{libqaccessibilityclient_major}

%package -n %{libqaccessibilityclient}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libqaccessibilityclient}
Runtime library for %{name}.
 
%files -n %{libqaccessibilityclient}
%{_libdir}/libqaccessibilityclient.so.%{libqaccessibilityclient_major}{,.*}

#----------------------------------------------------------------------

%package devel
Summary:        Development files for %{name}
Group:          Development/C++

Requires:       %{libqaccessibilityclient} = %{version}-%{release}

%description devel
Development files for %{name}.

%files devel
%{_libdir}/libqaccessibilityclient.so
%{_includedir}/qaccessibilityclient/
%{_libdir}/cmake/QAccessibilityClient/

#---------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt4
%cmake_build

%install
%cmake_install

## Conflicts with libqaccessibilityclient-qt5 pkg
mv %{buildroot}%{_bindir}/accessibleapps %{buildroot}%{_bindir}/accessibleapps-qt4


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 0.1.1-8.mga9
+ Revision: 1841269
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.1.1-7.mga8
+ Revision: 1514717
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Sep 27 2018 daviddavid <daviddavid> 0.1.1-6.mga7
+ Revision: 1308634
- patch1: fix build with gcc8
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Thu Apr 12 2018 daviddavid <daviddavid> 0.1.1-5.mga7
+ Revision: 1217816
- rename accessibleapps binary for accessibleapps-qt4
  (conflicts with libqaccessibilityclient-qt5 pkg)

* Thu Feb 04 2016 umeabot <umeabot> 0.1.1-4.mga6
+ Revision: 935100
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 745811
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-2.mga5
+ Revision: 681728
- Mageia 5 Mass Rebuild

* Tue Jul 22 2014 lmenut <lmenut> 0.1.1-1.mga5
+ Revision: 655664
- imported package libqaccessibilityclient

